coupang
PUT/v2/providers/openapi/apis/api/v5/vendors/{vendorId}/outboundShippingCenters/{outboundShippingPlaceCode}v1

修改發貨地址

# 01

簡介

API 適用的买方用户區域:韓國、台灣 修改發貨地址,需要outboundShippingPlaceCode及remoteInfoId。 您可透過“發貨地查詢”API獲取outboundShippingPlaceCode及remoteInfoId ※ 註冊收貨地址時設定的國內或海外分類確定後,不能從國內更改為海外或從海外更改為國內。 如果您想更改國內和海外之間的劃分,請重新註冊一個新的收貨地址.

# 02

詳細內容

API 適用的买方用户區域:韓國、台灣

修改發貨地址,需要outboundShippingPlaceCode及remoteInfoId。  

您可透過“發貨地查詢”API獲取outboundShippingPlaceCode及remoteInfoId

 

※ 註冊收貨地址時設定的國內或海外分類確定後,不能從國內更改為海外或從海外更改為國內。 如果您想更改國內和海外之間的劃分,請重新註冊一個新的收貨地址.

 

路徑

PUT

/v2/providers/openapi/apis/api/v5/vendors/{vendorId}/outboundShippingCenters/{outboundShippingPlaceCode}

示例

https://api-gateway.coupang.com/v2/providers/openapi/apis/api/v5/vendors/A00012345/outboundShippingCenters/123456

請求引數

路徑引數

名稱 是否必須 型別 描述
vendorId O String

賣家ID  

酷澎提供給賣家的固有程式碼 

例) A00012345 

outboundShippingPlaceCode O Number  想要修改的發貨地程式碼 

請求體引數

名稱 是否必須 型別 描述
vendorId O String

賣家ID 

酷澎提供給賣家的固有程式碼 

例) A00012345 

userId O String 使用者ID (酷澎Wing登入賬戶) 
outboundShippingPlaceCode   Number

發貨地程式碼 

如果為"null", 則發貨地名稱不變 

shippingPlaceName   String 發貨地名稱 
usable   Boolean 是否可用 
global   Boolean

國內或海外 

代码 含义
false 国内 
true 海外 
placeAddresses O Array 發貨地址
  addressType   String

地址型別

代码 含义
JIBUN 地区编号  
ROADNAME 道路名 
OVERSEA 海外 
  countryCode   String 國家程式碼(符合 ISO-3166標準),有效長度: 2 。例如:韓國國內為“KR”, 臺灣地區為 “TW”
  companyContactNumber   String 電話號碼 (格式需符合 E.164標準)
  phoneNumber2   String 備用電話號碼(格式:與電話號碼相同) 
  returnZipCode   String 郵政編碼: 數字,5~6位數 
  returnAddress   String 地址,最長150個字元 
  returnAddressDetail   String 詳細住址,最長200個字元  
remoteInfos   Array 偏遠地區額外運費 
  remoteInfoId   Number

建立新的配送資訊時無需填寫該欄位。 

修改/刪除配送資訊時則必須輸入。 

您可透過查詢 API 獲取該欄位的值。 

  deliveryCode   String

 物流程式碼 

 查看物流程式碼

可註冊多個物流公司,但不可重複註冊  

  jeju   Object

濟州島運費

當currencyCode是KRW時:您可以輸入0或1,000-8,000之間的費用(以100韓元為單位); 不包括貨到付款。

 例外:EPOST快遞可填0或100 - 400KRW 之間(以KRW 100為單位);

不包括貨到付款。

    currencyCode   String 貨幣程式碼(符合ISO-4217標準),3位大寫字元
    units   Number 貨幣整數部分,64-bit
    nanos   Number 貨幣小數部分,32-bit,取值範圍 [-999999999, 999999999]
  notJeju   Object

濟州地區外的配送費

與濟州地區相同 

    currencyCode   String 貨幣程式碼(符合ISO-4217標準),3位大寫字元
    units   Number 貨幣整數部分,64-bit
    nanos   Number 貨幣小數部分,32-bit,取值範圍 [-999999999, 999999999]
  usable   Boolean

是否使用 

建立新的配送資訊時無需填寫此欄位。  

如果修改,設定為“true”。 如果刪除,則設定為“false”。 

請求體示例

{

  "vendorId": "A00012345",

  "userId": "Test11",

  "outboundShippingPlaceCode": 123456,

  "shippingPlaceName": "테스트 출고지 코드",

  "placeAddresses": [

    {

      "addressType": "ROADNAME",

      "countryCode": "KR",

      "companyContactNumber": " +1(555)444-1234",

      "phoneNumber2": "",

      "returnZipCode": "05510",

      "returnAddress": "서울특별시 송파구 송파대로 570 (신천동)",

      "returnAddressDetail": "테스트 주소 101동 101호"

    },

    {

      "addressType": "JIBUN",

      "countryCode": "KR",

      "companyContactNumber": " +1(555)444-1234",

      "phoneNumber2": "",

      "returnZipCode": "05510",

      "returnAddress": "서울특별시 송파구 신천동 7-30",

      "returnAddressDetail": "테스트 주소 101동 101호"

    }

  ],

  "remoteInfos": [

    {

      "remoteInfoId": 176476,

      "deliveryCode": "DONGBU",

      "jeju": {

"currencyCode": "KRW",

"units": 0,

"nanos": 0

        },

      "notJeju": {

"currencyCode": "KRW",

"units": 0,

"nanos": 0

        },

      "usable": true

    }

  ],

  "usable": true

}

返回訊息

名稱 型別 描述
code Number 伺服器響應狀態碼 
message String 詳細資訊 
data Object  
  resultCode String 程式碼 
  resultMessage String 訊息 

返回訊息示例

{

  "code": "200",

  "message": "SUCCESS",

  "data": {

    "resultCode": "SUCCESS",

    "resultMessage": "Modify successfully"

  }

}

錯誤程式碼

HTTP狀態程式碼(錯誤型別) 錯誤資訊 解決方案

400 (確認請求引數)

 

You can enter KRW 0 or between KRW 100 - 400 當currencyCode是KRW時,如果是 EPOST 快遞,請確保輸入0 KRW 或100 - 400 KRW之間
400 (確認請求引數)  Post code can't be empty  請確認是否輸入了returnZipCode值。 
400 (重複輸入)  [發貨地重複] 該地址已被登入。(重複地址程式碼: 2026xxxx)  請確認是否輸入過相同的returnAddress 值。 
400 (重複輸入)  [發貨地重複] Duplicated request. 公司名:xxxxx   請確認是否輸入過相同的shippingPlaceName值。 
400 (確認請求引數)  運費應為0韓元或1000~20000韓元。  請確認您輸入的jeju, notJeju數值範圍是否正確 。currencyCode為KRW時,偏遠地區配送費請輸入0或1,000~20,000。  
400 (確認請求引數)  The format of postal code is invalid, it can only be number  請為 returnZipCode值輸入非數字字元。 
400 (確認請求引數)  params are not allowed null...  請確認是否輸入了null 值。 
400 (確認請求引數)  params's vendorId not equals gateway's vendorId!  請確認您輸入的 vendorId是否正確。 
400 (確認請求引數)  The max length of the shipping place name is 50, please input the correct length name  請確認shippingPlaceName值是否小於50個字元。 
400 (確認請求引數)  The address detail info can't be null(placeAddress)  請確認是否輸入了returnAddress值。 
400 (確認請求引數)  Must input the default phone number(phoneNumber1)  請確認是否輸入了phoneNumber1值。  
400 (確認請求引數)  Must input the default address(address1)  請確認是否輸入了returnAddress值。 
400 (確認請求引數)  The length of country code is 2, please input correct length country code  請確認您輸入的countryCode值是否正確。  
400 (確認請求引數)  The format of phone number is invalid, min length is 11 and max length is 14 include the character '-'  請確認您輸入的companyContactNumber值是否符合格式要求。正確格式需符合E1.164標準 。 
400 (確認請求引數)  The format of postal code is invalid, it can only be number, min length is 5 and max length is 6  請確認您輸入的returnZipCode值是否正確。請輸入5~6個數字。 
400 (確認請求引數) Please input the correct phone number format including numbers and '-' (min 9, max 13) 請檢查companyContactNumber 或者 phoneNumber2 欄位值是否輸入正確。正確格式需符合E.164標準

介面名稱

UPDATE_OUTBOUND_SHIPPING_PLACECODE